﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadGridEditBatchLimitNewRows.aspx.cs" Inherits="RadGridEditBatchLimitNewRows" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            //Put your JavaScript code here.
            function rowCreated(sender, args) {
                var tableView = args.get_tableView();
                if (tableView.get_dataItems().length > tableView.get_pageSize() + 2) {
                    var imageButton = $telerik.findElement(tableView.get_element(), "AddNewRecordButton");
                    disableButton(imageButton);

                    var linkButton = $telerik.findElement(tableView.get_element(), "InitInsertButton");
                    disableButton(linkButton);
                }
            }
            function disableButton(button) {
                $(button).prop('onclick', null).on("click", function (e) {
                    e.preventDefault();
                    alert("Max 4 new records");
                });
            }
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <telerik:RadGrid ID="RadGrid1" runat="server" AllowPaging="True" CellSpacing="0"
            GridLines="None" Width="800px" OnNeedDataSource="RadGrid1_NeedDataSource"
            AutoGenerateEditColumn="true" OnPreRender="RadGrid1_PreRender">
            <ClientSettings AllowKeyboardNavigation="true">
                <ClientEvents OnRowCreated="rowCreated" />
            </ClientSettings>
            <MasterTableView AutoGenerateColumns="False" DataKeyNames="OrderID"
                EditMode="Batch" CommandItemDisplay="Top">
                <Columns>
                    <telerik:GridBoundColumn DataField="OrderID" DataType="System.Int32"
                        FilterControlAltText="Filter OrderID column" HeaderText="OrderID"
                        ReadOnly="True" SortExpression="OrderID" UniqueName="OrderID">
                    </telerik:GridBoundColumn>
                    <telerik:GridDateTimeColumn DataField="OrderDate" DataType="System.DateTime"
                        FilterControlAltText="Filter OrderDate column" HeaderText="OrderDate"
                        SortExpression="OrderDate" UniqueName="OrderDate">
                    </telerik:GridDateTimeColumn>
                    <telerik:GridNumericColumn DataField="Freight" DataType="System.Decimal"
                        FilterControlAltText="Filter Freight column" HeaderText="Freight"
                        SortExpression="Freight" UniqueName="Freight" ColumnEditorID="NumBoxEditor1">
                    </telerik:GridNumericColumn>
                    <telerik:GridBoundColumn DataField="ShipName"
                        FilterControlAltText="Filter ShipName column" HeaderText="ShipName"
                        SortExpression="ShipName" UniqueName="ShipName">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="ShipCountry"
                        FilterControlAltText="Filter ShipCountry column" HeaderText="ShipCountry"
                        SortExpression="ShipCountry" UniqueName="ShipCountry">
                    </telerik:GridBoundColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
        <telerik:GridNumericColumnEditor runat="server" ID="NumBoxEditor1">
            <NumericTextBox runat="server">
                <IncrementSettings InterceptArrowKeys="false" InterceptMouseWheel="false" />
            </NumericTextBox>
        </telerik:GridNumericColumnEditor>
    </form>
</body>
</html>
